// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#include "logger.h"

#include <iostream>

Logger::Logger(gloox::LogSink& sink, gloox::LogLevel level):
    sink(sink)
{
    sink.registerLogHandler(level, gloox::LogAreaAll, this);
}

Logger::~Logger() {
    sink.removeLogHandler(this);
}

void Logger::handleLog(gloox::LogLevel level, gloox::LogArea area, const std::string& message) {
    std::cout << "Log message: " << message << std::endl;
}
